## recastnavigation 1.5.1%2Bgit20210215.e75adf8

=== debian/changelog ===
recastnavigation (1.5.1+git20210215.e75adf8-1) unstable; urgency=low

  * First release to Debian. (Closes: #913828)

 -- Bret Curtis <psi29a@gmail.com>  Fri, 19 Feb 2021 12:13:09 +0200
