=== debian/control ===
Source: recastnavigation
Rules-Requires-Root: no
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bret Curtis <psi29a@gmail.com>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.5.1
Homepage: https://github.com/recastnavigation/recastnavigation
Vcs-Git: https://salsa.debian.org/games-team/recastnavigation.git
Vcs-Browser: https://salsa.debian.org/games-team/recastnavigation

Package: librecast-dev
Multi-Arch: same
Section: libdevel
Architecture: any
Depends: librecast1 (= ${binary:Version}),
 ${misc:Depends}
Description: Software implementation of Recast and Detour Navigation (development files)
 Recast is state of the art navigation mesh construction toolset for games.
 .
  * It is automatic, which means that you can throw any level geometry at it and
    you will get robust mesh out
  * It is fast which means swift turnaround times for level designers
  * It is open source so it comes with full source and you can customize it to
 your heart's content.
 .
 The Recast process starts with constructing a voxel mold from a level
 geometry and then casting a navigation mesh over it. The process consists
 of three steps, building the voxel mold, partitioning the mold into simple
 regions, peeling off the regions as simple polygons
 .
 Recastnavigation Development Headers

Package: librecast1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Suggests: ${shlibs:Suggests}
Description: Software implementation of Recast Navigation (shared library)
 Recast is state of the art navigation mesh construction toolset for games.
 .
 Recastnavigation Libraries
