=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/recastnavigation-$1\.tar\.gz/ \
  https://github.com/recastnavigation/recastnavigation/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
