## recastnavigation 1.6.0+dfsg

=== debian/changelog ===
recastnavigation (1.6.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Antoine Le Gonidec <vv221@debian.org>  Wed, 22 Oct 2025 20:41:06 +0200

recastnavigation (1.6.0+dfsg-2) experimental; urgency=low

  * Team upload.

  [ Bret Curtis ]
  * Added patches that are needed by OpenMW regressions (backport from master)
  * Added patch to bump SOVERSION to 1debian0 (Closes: #1112095, #1115504)

  [ Sébastien Noel ]
  * Backport another upstream fix for CMake 4 (Closes: #1113463)

 -- Antoine Le Gonidec <vv221@debian.org>  Mon, 20 Oct 2025 14:02:19 +0200

recastnavigation (1.6.0+dfsg-1) unstable; urgency=low

  [ Bret Curtis ]
  * New upstream release (1.6.0)
  * Stripped out ttf and non dfsg files.

  [ Hefee ]
  * Updated debian/watch to work better with github

 -- Bret Curtis <psi29a@gmail.com>  Thu, 14 Aug 2025 13:14:09 +0200

recastnavigation (1.5.1+git20210215.e75adf8-r3) UNRELEASED; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix day-of-week for changelog entry 1.5.1+git20210215.e75adf8-r2.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 19 Nov 2022 05:12:51 -0000

recastnavigation (1.5.1+git20210215.e75adf8-r2) unstable; urgency=low

  * Applied patch to debian/rules to fix RPATH. (Closes: #1003922)

 -- Bret Curtis <psi29a@gmail.com>  Fri, 18 Feb 2022 08:13:09 +0200
