=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: recastnavigation
-Rules-Requires-Root: no
 Section: libs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Bret Curtis <psi29a@gmail.com>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/recastnavigation/recastnavigation
 Vcs-Git: https://salsa.debian.org/games-team/recastnavigation.git
 Vcs-Browser: https://salsa.debian.org/games-team/recastnavigation
@@ -14,7 +13,7 @@
 Multi-Arch: same
 Section: libdevel
 Architecture: any
-Depends: librecast1 (= ${binary:Version}),
+Depends: librecast1debian0 (= ${binary:Version}),
  ${misc:Depends}
 Description: Software implementation of Recast and Detour Navigation (development files)
  Recast is state of the art navigation mesh construction toolset for games.
@@ -32,7 +31,7 @@
  .
  Recastnavigation Development Headers
 
-Package: librecast1
+Package: librecast1debian0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
