=== debian/rules ===
#!/usr/bin/make -f

# Uncomment to view all compilation commands and fix W-compiler-flags-hidden
export VERBOSE=1

# Add hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
        CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

# Use this variable to allow options passed to cmake to be overridable
DEB_CMAKE_OPTIONS ?= -DCMAKE_VERBOSE_MAKEFILE=ON \
                -DBUILD_SHARED_LIBS=ON \
                -DRECASTNAVIGATION_DEMO=OFF \
                -DRECASTNAVIGATION_TESTS=ON \
                -DRECASTNAVIGATION_EXAMPLES=OFF \
                -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_OPTIONS)


%:
	dh $@ --builddirectory=build
